Subject: Re: [PATCH] doc: patch-id: fix accidental literal blocks

From: Junio C Hamano <[email-masked]>
Date: Sun, 28 Sep 2025 09:01:59 -0700

[email-masked] writes:

> From: Kristoffer Haugsbakk <[email-masked]>
>
> The options here are apparently written with the assumption that you
> can continue a block like e.g. a description list by maintaining the
> same indentation level.  This is not the the case; you need to use list
> continuation (+) for the elements following the first paragraph if you
> want to be guaranteed a predictable output
>
> This is kind of subtle since only the last paragraph of each option gets
> rendered in an unintended way, namely as literal blocks.  This is easier
> to see in the HTML output since the man page output just has a slightly
> larger indentation on these paragraphs.

Hmph, I've always thought that the practice breaks every paragraph
except for the first one (which is the same as "only the last",
only when you have exactly 2 paragraphs; when you have more than 2,
it makes a difference).

The changes in the diff part all look reasonable to me.

Thanks.